Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: Patch nodig bij Comodo AntiVirus bij Kernel 3.5 tot 3.8  (gelezen 6312 keer)

Offline CyborgZone.nl

  • Lid
  • Steunpunt: Nee
Patch nodig bij Comodo AntiVirus bij Kernel 3.5 tot 3.8
« Gepost op: 2013/05/14, 01:26:07 »
Comodo AntiVIrus for Linux heeft in haar basisinstallatie voor ubuntu, geen driver herkenning voor de kernels 3.5 t/m 3.8 en zal bij het instellen van filesystem scan alleen weergeven het systeem niet te kunnen herkennen.

Der is een oplossing voor gevonden door een mede-gebruiker van CAVL onder Ubuntu Raring


Het is heel simpel

 1. Installeer Comodo Anti-Virus for Linux

 2. Na de installatie,  COMODO NIET STARTEN (of be-eindigen bij auto-start)

 3. Download de patch, beschikbaar gemaakt dankzij KINTA-JAPAN voor de nieuwe kernel 3.5 - 3.8 (sla op onder home folder)

 4. Maak een backup van de huidige driver-patch van CAVL zelf /opt/COMODO/driver.tar en vervang met KINTA's patch
sudo mv /opt/COMODO/driver.tar /opt/COMODO/driverbkp.tar && sudo cp driver.tar /opt/COMODO/driver.tar
 5. Start nu het Filesystem post-setup van de COMODO installatie
sudo /opt/COMODO/post_setup.sh && sudo /etc/init.d/cmdavd restart
Het gehele CAVL-programma draait nu zonder foutmeldingen!
Zo niet, prober opnieuw in te loggen of te herstarten, waarna het filesystem check wel goed zal verlopen



Offline pijltje

  • Lid
  • Steunpunt: Nee
Re: Patch nodig bij Comodo AntiVirus bij Kernel 3.5 tot 3.8
« Reactie #1 Gepost op: 2014/06/23, 15:51:09 »
Beste Cyborgzone,

Ik heb comodo (mint en 32 bt) en patch gedownload.

Deze zijn automatisch in de downloadmap geplaatst.

Vervolgens het opgegeven commando (sudo mv /opt/COMODO/driver.tar /opt/COMODO/driverbkp.tar && sudo cp driver.tar /opt/COMODO/driver.tar) in terminalvenster gegeven, maar melding is: bestand of map bestaat niet.

Hoe kan ik comodo en patch in juiste folder zetten, zodat commando in terminal wel werkt?

Alvast bedankt voor je reactie!

Hart.groet
Pijltje


Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Re: Patch nodig bij Comodo AntiVirus bij Kernel 3.5 tot 3.8
« Reactie #2 Gepost op: 2014/06/23, 16:31:49 »
Je schopt een bericht omhoog van ruim een jaar geleden.... terwijl je bovendien Mint 13 gebruikt, die kernel 3.2 heeft.  :o

Advies: gooi die Comodo-bestanden gewoon weg, en lees dit eens:
https://sites.google.com/site/computertip/veiligheid

Ontspan.... Je draait Linux. :)

Offline markba

  • Lid
    • http://markbaaijens.nl/
  • Steunpunt: Ja
Re: Patch nodig bij Comodo AntiVirus bij Kernel 3.5 tot 3.8
« Reactie #3 Gepost op: 2014/06/24, 00:02:46 »
Advies: gooi die Comodo-bestanden gewoon weg, en lees dit eens:
https://sites.google.com/site/computertip/veiligheid
Ontspan.... Je draait Linux. :)
Mijn vrees is dat we hier nooit vanaf komen, dat benauwde met die virus-toestanden. Want gekker dan dit kan het niet worden. Een kernel patchen (wtf, waarom is dat nodig!!!), waardoor je systeem instabiel kan worden (en iig je die patch altijd opnieuw moet draaien voor elke nieuwe kernel), voor een pakket (anti-virus) wat je niet nodig hebt onder Linux.

Allemaal gekkigheid.....
(mijn hobby is het zeker niet)

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Re: Patch nodig bij Comodo AntiVirus bij Kernel 3.5 tot 3.8
« Reactie #4 Gepost op: 2014/06/24, 00:20:06 »
Allemaal gekkigheid.....
(mijn hobby is het zeker niet)
Inderdaad; en ook de mijne niet.  :(

Maar ja, vooral nieuwkomers vanuit de barre boze Windowswereld kunnen het vaak maar moeilijk geloven, dat ze in Linux de krukken van antivirus in de hoek kunnen smijten. Dat blijf je houden. Bij de meesten is dat gelukkig slechts een tijdelijke fase.

En dan heb je ook nog eens een harde kern: mensen die uit irrationele angst ook in Linux alleen hun computer durven gebruiken als er antivirus op zit. Die harde kern is niet te overtuigen, omdat ze te gevoelig zijn voor de FUD van de AV-fabrikanten: http://nl.wikipedia.org/wiki/Fear,_uncertainty_and_doubt

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: Patch nodig bij Comodo AntiVirus bij Kernel 3.5 tot 3.8
« Reactie #5 Gepost op: 2014/06/24, 00:27:33 »
Ja, als je het ze niet benadrukt op de verkooppagina/verkoopafdeling zoals ze met Chromebooks doen, dan blijven ze onder de indruk dat je bij alles wat geen Windows is anti-virus nodig hebt... Maar feit is dat je op elk desktopsysteem *behalve* Windows geen anti-virus nodig hebt (als er al anti-virussoftware beschikbaar is). Maarja, het zal wel altijd zo blijven dat er mensen zijn die dat gewoon niet snappen...

Offline markba

  • Lid
    • http://markbaaijens.nl/
  • Steunpunt: Ja
Re: Patch nodig bij Comodo AntiVirus bij Kernel 3.5 tot 3.8
« Reactie #6 Gepost op: 2014/06/24, 00:30:43 »
Maar ja, vooral nieuwkomers vanuit de barre boze Windowswereld kunnen het vaak maar moeilijk geloven, dat ze in Linux de krukken van antivirus in de hoek kunnen smijten.
.... vaak nog 'geholpen' door eerbiedwaardige forumleden (vaak: oudgedienden) zodat de verwarring bij die beginners compleet is. Daar waar meningen  feiten worden...... Vechten tegen de bierkaai dus.

En zo hebben we *weer* een draad over anti-virus binnen Linux. Veel plezier ermee zou ik zeggen (maar dan zonder mij, heb wat beters te doen).

Offline testcees

  • Documentatieteam
    • testcees
    • www.testcees.nl
  • Steunpunt: Nee
Re: Patch nodig bij Comodo AntiVirus bij Kernel 3.5 tot 3.8
« Reactie #7 Gepost op: 2014/06/24, 13:39:37 »
Een kernel patchen (wtf, waarom is dat nodig!!!)
Helaas weet ik geen oplossing voor het probleem met deze kernel-patch maar deze vraag kan ik beantwoorden. De kernel patch wordt gebruikt om bij alle bestandsoperaties (bestand lezen, schrijven, kopiëren) de virusscanner te betrekken. Dit wordt “Real Time” of “On Access” scanning genoemd in tegenstelling tot “On-Demand” scanning wat op verzoek wordt uitgevoerd (en dus achter de feiten aanloopt).
On Access - Provides the highest level of On Access Scanning and protection. Any file opened is scanned before it is run and the threats are detected before they get a chance to be executed.
Veel antivirussoftware voor Windows werkt volgens het Real-Time / On Access principe. Zelf installeer ik (in Ubuntu) alleen open source programma’s (*) uit betrouwbare bronnen en acht daarom antivirussoftware  niet nodig en wil zeker geen gesloten antivirussoftware als Comodo. Als iemand daar anders over denkt, even goede vrienden.
(*) Er zijn uitzonderingen zoals een gesloten videodriver. Hoewel in potentie malware neem ik daar bewust een  gokje. :P
Citaat van: ”Richard Stallman”
Proprietary software tends to have malicious features. The point is with a proprietary program, when the users don't have the source code, we can never tell. So you must consider every proprietary program as potential malware.
Ik heb zojuit de Sleepnet-kieswijzer ingevuld op www.waartrekjijdegrens.nl/

Offline markba

  • Lid
    • http://markbaaijens.nl/
  • Steunpunt: Ja
Re: Patch nodig bij Comodo AntiVirus bij Kernel 3.5 tot 3.8
« Reactie #8 Gepost op: 2014/06/24, 16:21:39 »
De verwarring is pas compleet als wij hier met elkaar, welles niets gaan spelen en niet elkaars mening waarderen cq accepteren.
Ieder doet wij die denkt dat goed is.
Mijn afwijking is dat ik mensen die iets willen wat in mijn ogen volstrekt zinloos is (= alleen maar ellende oplevert), ze daarbij liever niet help en ze beter een andere kant op wijs.  Uiteraard mogen ze het helemaal zelf weten (daarmee respecteer ik die mening), maar ik ga ze niet van de regen in de drup helpen; dan wordt je een soort van medeplichtig (terwijl je dat nu net niet wilt).

Vreemd (maar ook wel fijn) dat ik deze discussie werkelijk nog nooit gevoerd heb bij gebruikers van De Vrije PC.

Citaat
Ieder doet wij die denkt dat goed is.
Precies. En daarom kan en mag iedereen ook zeggen wat ie er van vindt, toch? Om juist beginners duidelijk te maken dat Linux geen Windows is? Of is het: u vraagt, wij draaien?

Maar goed, ik heb er al weer meer woorden aan gespendeerd dan de bedoeling was.

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Re: Patch nodig bij Comodo AntiVirus bij Kernel 3.5 tot 3.8
« Reactie #9 Gepost op: 2014/06/24, 16:35:37 »
Mijn afwijking mentaliteit is dat ik mensen die iets willen wat in mijn ogen volstrekt zinloos is (= alleen maar ellende oplevert), ze daarbij liever niet help en ze beter een andere kant op wijs.  Uiteraard mogen ze het helemaal zelf weten (daarmee respecteer ik die mening), maar ik ga ze niet van de regen in de drup helpen; dan wordt je een soort van medeplichtig (terwijl je dat nu net niet wilt).
Goede mentaliteit, en dat is ook de mijne....

Voor mijn part steekt iemand de fik in z'n PC of ramt-ie 'm kapot met een mokerhamer: als-ie er lol in heeft, waarom niet? Datzelfde geldt voor het installeren van nutteloze (en zelfs mogelijk schadelijke) antivirus-zooi. Men doet maar wat men niet laten kan.  8-)

Maar ik verschaf het vuur niet, noch de mokerhamer, noch de installatie-instructie voor AV. En ik zal blijven zeggen dat ik het niet verstandig vind: er zijn immers meer mensen die forumberichten lezen dan alleen de directe deelnemers aan een forumdraadje.  =D
« Laatst bewerkt op: 2014/06/24, 16:46:15 door Pjotr »

Offline pijltje

  • Lid
  • Steunpunt: Nee
Re: Patch nodig bij Comodo AntiVirus bij Kernel 3.5 tot 3.8
« Reactie #10 Gepost op: 2014/06/24, 19:47:58 »
Zo, is iedereen zijn/haar ei weer kwijt?!  ;)

Ik zal geen virusscanner installeren. Ik heb de gedownloade bestanden verwijderd uit Bestandbeheer - Downloads.

Is dat voldoende of zit er nog ergens iets dat ik met terminal moet verwijderen?

Alvast bedankt voor een reactie  :)

groetjes Pijltje

PS: misschien handig om het topic van Cyborgzone geheel te verwijderen, zodat andere nieuwkomers niet weer een hele discussie losmaken bij de oud-gedienden.

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Re: Patch nodig bij Comodo AntiVirus bij Kernel 3.5 tot 3.8
« Reactie #11 Gepost op: 2014/06/25, 00:16:13 »
Zo, is iedereen zijn/haar ei weer kwijt?!  ;)
Dat zou voor jou sowieso geen punt moeten zijn, aangezien je vraag immers is beantwoord.  ;)
Citaat
Ik zal geen virusscanner installeren. Ik heb de gedownloade bestanden verwijderd uit Bestandbeheer - Downloads.
Verstandig.
Citaat
Is dat voldoende of zit er nog ergens iets dat ik met terminal moet verwijderen?
Nee, dat is voldoende.  :)

Offline testcees

  • Documentatieteam
    • testcees
    • www.testcees.nl
  • Steunpunt: Nee
Re: Patch nodig bij Comodo AntiVirus bij Kernel 3.5 tot 3.8
« Reactie #12 Gepost op: 2014/06/25, 07:21:20 »
PS: misschien handig om het topic van Cyborgzone geheel te verwijderen, zodat andere nieuwkomers niet weer een hele discussie losmaken bij de oud-gedienden.
Het onderwerp (malware) is misschien niet zwart-wit, anders was er geen discussie mogelijk.
Is there a process to ensure there's no malware? No. There are no guarantees at all.
Ik heb zojuit de Sleepnet-kieswijzer ingevuld op www.waartrekjijdegrens.nl/

Offline pijltje

  • Lid
  • Steunpunt: Nee
Re: Patch nodig bij Comodo AntiVirus bij Kernel 3.5 tot 3.8
« Reactie #13 Gepost op: 2014/06/25, 13:10:40 »
Bedankt weer!  :)

PS: ik kan het 'topic opgelost' keuzevakje niet vinden  :|

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: Patch nodig bij Comodo AntiVirus bij Kernel 3.5 tot 3.8
« Reactie #14 Gepost op: 2014/06/25, 13:53:35 »
Bedankt weer!  :)

PS: ik kan het 'topic opgelost' keuzevakje niet vinden  :|

Dat kan alleen maar als je het topic zelf gestart hebt en dit topic is niet door jou gestart.

Offline pijltje

  • Lid
  • Steunpunt: Nee
Re: Patch nodig bij Comodo AntiVirus bij Kernel 3.5 tot 3.8
« Reactie #15 Gepost op: 2014/06/25, 15:31:59 »
Bedankt voor de uitleg, maar wel vreemd!
Bij ander door mij gestart topic was het door iemand anders gesloten.
Diegene is dan wel lid van Forumteam.  Tja, verschil moet er wezen  ;)

Offline pijltje

  • Lid
  • Steunpunt: Nee
Re: Patch nodig bij Comodo AntiVirus bij Kernel 3.5 tot 3.8
« Reactie #16 Gepost op: 2014/07/09, 11:50:25 »
Ik had een mail gestuurd met word-bijlage en de ontvanger kreeg een veiligheidsmelding...
Nu er geheel geen anti-virus of anti-malware op mijn pc zit, kan ik het dus ook niet controleren.

Op een site lees dat er wel degelijk besmettingen zijn. Niet veel, maar het zal je pc maar betreffen.
http://www.linux.org/threads/malware-and-antivirus-systems-for-linux.4455/

Ik krijg het gevoel dat jullie allemaal (een beetje) je kop in het zand steken.

Inmiddels is het ramgeheugen opgehoogd naar 2gb, dus ik zou toch graag een anti-virus en anti-malware (malwarebytes?) op mijn pc zetten!

Wie heeft een suggestie?
Ik heb clamav en clamtk gedownload, maar krijg ze niet aan de praat...

- Clamav is geinstalleerd (staat in softwarebeheer), maar kan m niet starten.  Hoe?
- Clamtk: wordt wel gestart, maar er staat rood kruisje bij GUI 4.44 (zie bijlage, geen idee hoe ik dat geladen kan krijgen). Hoe kan ik mijn hele pc laten scannen en niet alleen een bepaalde map?

Alvast bedankt!

groetjes Pijltje

Offline testcees

  • Documentatieteam
    • testcees
    • www.testcees.nl
  • Steunpunt: Nee
Re: Patch nodig bij Comodo AntiVirus bij Kernel 3.5 tot 3.8
« Reactie #17 Gepost op: 2014/07/09, 12:50:11 »
- Clamtk: wordt wel gestart, maar er staat rood kruisje bij GUI 4.44 (zie bijlage, geen idee hoe ik dat geladen kan krijgen). Hoe kan ik mijn hele pc laten scannen en niet alleen een bepaalde map?
Kies in ClamTk voor Scannen → Recursieve scan → Bestandssysteem → OK
Ik heb zojuit de Sleepnet-kieswijzer ingevuld op www.waartrekjijdegrens.nl/

Offline pijltje

  • Lid
  • Steunpunt: Nee
Re: Patch nodig bij Comodo AntiVirus bij Kernel 3.5 tot 3.8
« Reactie #18 Gepost op: 2014/07/09, 12:57:58 »
Bedankt testcees!  :)

Is het niet nodig om GUI 4.44 te laden?

Nog iemand een suggestie voor anti-malware?

groetjes Pijltje

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Re: Patch nodig bij Comodo AntiVirus bij Kernel 3.5 tot 3.8
« Reactie #19 Gepost op: 2014/07/09, 12:58:06 »
Ik had een mail gestuurd met word-bijlage en de ontvanger kreeg een veiligheidsmelding...
Nu er geheel geen anti-virus of anti-malware op mijn pc zit, kan ik het dus ook niet controleren.
Stuur 't via Gmail: die heeft ingebouwde antivirus op de servers van Google. Effectief tegen Windowsvirussen.
Citaat
Op een site lees dat er wel degelijk besmettingen zijn. Niet veel, maar het zal je pc maar betreffen.
http://www.linux.org/threads/malware-and-antivirus-systems-for-linux.4455/
Ik heb dat draadje nagelezen, maar er werkelijk *niets* in gelezen dat me aanleiding geeft om antivirus te installeren op m'n Linux. Heb je 't zelf wel helemaal gelezen?
Citaat
Ik krijg het gevoel dat jullie allemaal (een beetje) je kop in het zand steken.
En ik heb 't gevoel, dat jij een tikje paranoïde bezig bent. Irrationele angst....
« Laatst bewerkt op: 2014/07/09, 13:10:11 door Pjotr »

Offline pijltje

  • Lid
  • Steunpunt: Nee
Re: Patch nodig bij Comodo AntiVirus bij Kernel 3.5 tot 3.8
« Reactie #20 Gepost op: 2014/07/09, 13:53:43 »
- Ik gebruik altijd Gmail. Dus die veiligheidsmelding van ontvangende partij blijft vreemd.

- In 'draadje' staat: dat er 2 van de 19 mensen malware hadden.

- De tijd zal het leren of het paranoia betreft of niet. Ik houd niet van mosterd na de maaltijd of de put dempen als het kalf verdronken is.

Maar wat maakt het uit om een virusscanner en anti-malwarescanner te installeren en te draaien?

Ik draai momenteel clamtk en tot nu toe zijn 61 bedreigingen gevonden.

Als het straks klaar is, zal ik kijken wat die bedreigingen inhouden.

groetjes Pijltje

Offline Pjotr

  • Lid
    • http://sites.google.com/site/computertip
  • Steunpunt: Nee
Re: Patch nodig bij Comodo AntiVirus bij Kernel 3.5 tot 3.8
« Reactie #21 Gepost op: 2014/07/09, 13:57:51 »
- Ik gebruik altijd Gmail. Dus die veiligheidsmelding van ontvangende partij blijft vreemd.
Wie vertrouw je wat dit betreft meer: de kwaliteit van de AV van Google of die van de ontvanger?

Citaat
- In 'draadje' staat: dat er 2 van de 19 mensen malware hadden.
Wat voor malware? Voor Windows (onschadelijk) of voor Linux? Hoe in hun systeem beland? Enz. enz.

Citaat
Maar wat maakt het uit om een virusscanner en anti-malwarescanner te installeren en te draaien?
Vals gevoel van veiligheid, verspilling van systeemkracht en tijd. Plus het risico van systeembeschadiging door foutieve identificatie (vals-positieve meldingen) van de AV.

Citaat
Ik draai momenteel clamtk en tot nu toe zijn 61 bedreigingen gevonden.

Als het straks klaar is, zal ik kijken wat die bedreigingen inhouden.
Ik ben benieuwd, maar niet heel erg benieuwd.
« Laatst bewerkt op: 2014/07/09, 14:02:32 door Pjotr »

Offline Vistaus

  • Webteam
    • vistaus
  • Steunpunt: Nee
Re: Patch nodig bij Comodo AntiVirus bij Kernel 3.5 tot 3.8
« Reactie #22 Gepost op: 2014/07/09, 14:02:58 »
61 bedreigingen? Dan weet ik niet waar jij je software vandaan haalt. Ik testte laatst voor de grap met ClamTK en hij vond ong. 50 bedreigingen als ik het me goed herinner. Maar dat waren allemaal meldingen over inhoud van HTML-bestandjes enzo (die alleen maar URL's bevatten - bladwijzerbackups), niks schadelijks van een virus dus...

Offline markba

  • Lid
    • http://markbaaijens.nl/
  • Steunpunt: Ja
Re: Patch nodig bij Comodo AntiVirus bij Kernel 3.5 tot 3.8
« Reactie #23 Gepost op: 2014/07/09, 14:04:08 »
Ik draai momenteel clamtk en tot nu toe zijn 61 bedreigingen gevonden.
Als het straks klaar is, zal ik kijken wat die bedreigingen inhouden.
Een schot voor de boeg: 61 valse positieven? Maar laten we niet op zaken vooruit lopen, we zijn benieuwd.....

Offline pijltje

  • Lid
  • Steunpunt: Nee
Re: Patch nodig bij Comodo AntiVirus bij Kernel 3.5 tot 3.8
« Reactie #24 Gepost op: 2014/07/09, 14:18:45 »
Van die 61 is het merendeel loos alarm (pua), maar wel 5x wat ik niet kan thuisbrengen: trojan.agent-751031.

groetjes Pijltje